=== plugins/filter/Makefile ===
filter_deinterlace_SOURCES = deinterlace.c
filter_transform_SOURCES = transform.c
filter_invert_SOURCES = invert.c
filter_distort_SOURCES = distort.c
filter_wall_SOURCES = wall.c
