=== plugins/x11/Makefile ===
x11_SOURCES = x11.c xcommon.c
xvideo_SOURCES = xvideo.c xcommon.c
