## vlc 0.4.0

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,9 @@
 
 ifeq ($(shell [ ! -r Makefile.opts ] && echo 1),)
     include Makefile.opts
+endif
+ifeq ($(shell [ ! -r Makefile.config ] && echo 1),)
+    include Makefile.config
 endif
 
 ###############################################################################
@@ -20,6 +23,7 @@
 		access \
 		alsa \
 		arts \
+		avi \
 		beos \
 		chroma \
 		directx \
@@ -30,6 +34,7 @@
 		dvdread \
 		esd \
 		fb \
+		ffmpeg \
 		filter \
 		fx \
 		ggi \
@@ -69,6 +74,7 @@
 		access/http \
 		alsa/alsa \
 		arts/arts \
+		avi/avi \
 		beos/beos \
 		chroma/chroma_i420_rgb \
 		chroma/chroma_i420_rgb_mmx \
@@ -89,11 +95,13 @@
 		dvdread/dvdread \
 		esd/esd \
 		fb/fb \
+		ffmpeg/ffmpeg \
 		filter/filter_deinterlace \
 		filter/filter_transform \
 		filter/filter_invert \
 		filter/filter_distort \
 		filter/filter_wall \
+		filter/filter_clone \
 		fx/fx_scope \
 		ggi/ggi \
 		glide/glide \
@@ -124,9 +132,11 @@
 		motion/motionmmxext \
 		motion/motion3dnow \
 		motion/motionaltivec \
+        mpeg_system/mpeg_audio \
 		mpeg_system/mpeg_es \
 		mpeg_system/mpeg_ps \
 		mpeg_system/mpeg_ts \
+		mpeg_system/mpeg_ts_dvbpsi \
 		mpeg_adec/mpeg_adec \
 		mpeg_vdec/mpeg_vdec \
 		network/ipv4 \
@@ -185,7 +195,7 @@
 RESOURCE_OBJ :=	share/vlc_win32_rc.o
 endif
 
-VLC_OBJ := $(C_OBJ) $(CPP_OBJ) $(BUILTIN_OBJ) $(RESOURCE_OBJ)
+VLC_OBJ := $(C_OBJ) $(CPP_OBJ) $(M_OBJ) $(BUILTIN_OBJ) $(RESOURCE_OBJ)
 
 #
 # Generated header
@@ -271,7 +281,7 @@
 distclean: clean
 	-cd po && $(MAKE) maintainer-clean
 	rm -f **/*.o **/*~ *.log
-	rm -f Makefile.opts
+	rm -f Makefile.opts Makefile.config
 	rm -f include/defs.h include/modules_builtin.h
 	rm -f src/misc/modules_builtin.h
 	rm -f config*status config*cache config*log conftest*
@@ -338,8 +348,8 @@
 	rm -Rf tmp/vlc/tmp
 	find debian -mindepth 1 -maxdepth 1 -type d | \
 		while read i ; do rm -Rf tmp/vlc/$$i ; done
-	# Copy .c .h .in .cpp and .glade files
-	find include src plugins -type f -name '*.[bcdhigrst]*' | while read i ; \
+	# Copy .c .h .in .cpp .m and .glade files
+	find include src plugins -type f -name '*.[bcdhigmrst]*' | while read i ; \
 		do cp $$i tmp/vlc/$$i ; done
 	# Grmbl... special case...
 	for i in API BUGS DESIGN TODO ; \
@@ -359,7 +369,7 @@
 	# Copy misc files
 	cp FAQ AUTHORS COPYING TODO todo.pl ChangeLog* README* INSTALL* \
 		ABOUT-NLS BUGS MODULES vlc.spec \
-		Makefile Makefile.opts.in Makefile.dep Makefile.modules \
+		Makefile Makefile.*.in Makefile.dep Makefile.modules \
 		configure configure.in install-sh install-win32 macosx-dmg \
 		config.sub config.guess aclocal.m4 mkinstalldirs \
 			tmp/vlc/
@@ -451,7 +461,7 @@
 
 	# Copy relevant files 
 	cp -R vlc.app tmp/
-	cp AUTHORS COPYING ChangeLog README FAQ TODO tmp/
+	cp AUTHORS COPYING ChangeLog README README.MacOSX.rtf FAQ TODO tmp/
 
 	# Create disk image 
 	./macosx-dmg 0 "vlc-${VERSION}" tmp/* 
@@ -469,9 +479,3 @@
 vlc.app: vlc plugins
 ifneq (,$(findstring darwin,$(SYS)))
 	rm -Rf vlc.app
-	cd extras/MacOSX ; pbxbuild | grep -v '^ ' | grep -v '^\t'
-	cp -r extras/MacOSX/build/vlc.bundle ./vlc.app
-	$(INSTALL) -d vlc.app/Contents/MacOS/share
-	$(INSTALL) -d vlc.app/Contents/MacOS/plugins
-	$(INSTALL) vlc vlc.app/Contents/MacOS/
-ifneq (,$(PLUGINS))
