=== plugins/aa/Makefile ===
aa_SOURCES = aa.c
