=== plugins/fb/Makefile ===
fb_SOURCES = fb.c
