=== plugins/fx/Makefile ===
fx_scope_SOURCES = scope.c
