## vlc 0.4.1

=== plugins/alsa/Makefile ===
alsa_SOURCES = alsa.c
