=== plugins/arts/Makefile ===
arts_SOURCES = arts.c aout_arts.c
