=== plugins/directx/Makefile ===
directx_SOURCES = directx.c vout_directx.c vout_events.c aout_directx.c
