=== plugins/esd/Makefile ===
esd_SOURCES = esd.c aout_esd.c
