=== plugins/ffmpeg/Makefile ===
ffmpeg_SOURCES = ffmpeg.c
