=== plugins/filter/Makefile ===
--- 
+++ 
@@ -4,3 +4,4 @@
 filter_distort_SOURCES = distort.c
 filter_wall_SOURCES = wall.c
 filter_clone_SOURCES = clone.c
+filter_crop_SOURCES = crop.c
