=== plugins/glide/Makefile ===
glide_SOURCES = glide.c
