=== plugins/idct/Makefile ===
idct_SOURCES = idct.c
idctclassic_SOURCES = idctclassic.c
idctmmx_SOURCES = idctmmx.c
idctmmxext_SOURCES = idctmmxext.c
idctaltivec_SOURCES = idctaltivec.c
