=== plugins/qnx/Makefile ===
qnx_SOURCES = qnx.c aout_qnx.c vout_qnx.c
