=== plugins/ogg/Makefile ===
vorbis_SOURCES =
