=== plugins/avi/Makefile ===
avi_SOURCES = avi.c
