=== plugins/mga/Makefile ===
mga_SOURCES = mga.c
xmga_SOURCES = xmga.c
