=== plugins/mpeg_vdec/Makefile ===
ifeq ($(ARCH),hppa64)
CFLAGS += -ffunction-sections
endif

mpeg_vdec_SOURCES = video_parser.c vpar_headers.c vpar_blocks.c vpar_synchro.c vpar_pool.c video_decoder.c
