=== plugins/network/Makefile ===
ipv4_SOURCES = ipv4.c
ipv6_SOURCES = ipv6.c
