=== debian/changelog ===
vlc (0.4.4-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Sun, 11 Aug 2002 01:18:13 +0200

vlc (0.4.3-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 26 Jul 2002 00:03:13 +0200

vlc (0.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Sun,  7 Jul 2002 22:15:33 +0200

vlc (0.4.1-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Mon,  3 Jun 2002 23:43:35 +0200

vlc (0.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Thu, 23 May 2002 01:27:05 +0200

vlc (0.3.1-1) unstable; urgency=low

  * New upstream release.
  * Fixes a crash in the Gtk+ interface.

 -- Samuel Hocevar <sam@zoy.org>  Thu, 18 Apr 2002 06:43:42 +0200

vlc (0.3.0-1) unstable; urgency=low

  * New upstream release.
  * Reworked Gtk interface (Closes: #138732), with a working preferences
    dialog (Closes: #134142, #134147).
  * The ALSA plugin now supports S/PDIF (Closes: #118301).

 -- Samuel Hocevar <sam@zoy.org>  Sat,  6 Apr 2002 04:27:50 +0200

vlc (0.2.92-8) unstable; urgency=high

  * Only link with libXv.a if libXv_pic.a wasn't found, which fixes
    package builds on sid.
  * Added -ffunction-sections to the compilation of mpeg_vdec.a when
    the architecture is hppa.

 -- Samuel Hocevar <sam@zoy.org>  Sun,  6 Jan 2002 06:56:08 +0100

vlc (0.2.92-7) unstable; urgency=high

  * Fixed configure.in so that it doesn't fail on hppa.
  * Fixed a symbol resolution issue that made vlc crash when libdvdcss
    was installed.

 -- Samuel Hocevar <sam@zoy.org>  Sat,  5 Jan 2002 03:46:23 +0100

vlc (0.2.92-6) unstable; urgency=high

  * Attempt to fix IA64 and hppa builds.

 -- Samuel Hocevar <sam@zoy.org>  Fri,  4 Jan 2002 14:11:02 +0100

vlc (0.2.92-5) unstable; urgency=high

  * Many fixes imported from the 0.2.92 upstream release (VCD input,
    buffer management, decoder error management).
  * Removed a stupid dependency on libc6 which prevented the package
    from being built on alpha.

 -- Samuel Hocevar <sam@zoy.org>  Wed,  2 Jan 2002 04:16:44 +0100

vlc (0.2.92-4) unstable; urgency=high

  * Put debian/control and debian/rules in sync again (Closes: #126697).
  * Replaced the 48x48 XPM icons with 32x32 icons to comply with policy
    (Closes: #126939).
  * Don't spawn the Gtk+ or the Gnome interface if no $DISPLAY variable is
    present, which fixes the framebuffer output (Closes: #101753).

 -- Samuel Hocevar <sam@zoy.org>  Sun, 30 Dec 2001 02:59:01 +0100

vlc (0.2.92-3) unstable; urgency=high

  * Removed references to vlc-mad (Closes: #126194).

 -- Samuel Hocevar <sam@zoy.org>  Sat, 22 Dec 2001 21:04:27 +0100

vlc (0.2.92-2) unstable; urgency=high

  * Bumped urgency to high to get this stable version into testing; all
    reported critical bugs were fixed.
  * Bumped Standards-Version to 3.5.6.
  * Fixed a PowerPC compilation issue.
  * Fixed a crash in the VCD input.

 -- Samuel Hocevar <sam@zoy.org>  Thu, 20 Dec 2001 23:24:21 +0100

vlc (0.2.92-1) unstable; urgency=low

  * Using the stable 0.2.92 CVS branch, has lots of stability fixes.
  * Disabled broken ALSA audio output (Closes: #110869, #119846).
  * Changed configure.in so that vlc is linked against libXv.a,
    not xvideo.so and sdl.so (Closes: #111790).
  * Added versioned build-dep to libasound2-dev (Closes: #121057).

 -- Samuel Hocevar <sam@zoy.org>  Wed, 19 Dec 2001 17:06:44 +0100

vlc (0.2.91-2) unstable; urgency=low

  * Added "Video" menu hints (Closes: #121036).

 -- Samuel Hocevar <sam@zoy.org>  Sun, 25 Nov 2001 02:25:34 +0100

vlc (0.2.91-1) unstable; urgency=low

  * New upstream release.
  * This release fixes IFO parsing issues (Closes: #119369).
  * vlc will dlopen() an installed libdvdcss if available, to play
    encrypted DVDs (Closes: #89856).
  * vlc is now in sync with the official libdvdcss (Closes: #118194).

 -- Samuel Hocevar <sam@zoy.org>  Mon, 12 Nov 2001 17:14:29 +0100

vlc (0.2.90-2) unstable; urgency=low

  * Various upstream bugfixes.
  * Compiled against libsdl1.2-debian (Closes: #116709).

 -- Samuel Hocevar <sam@zoy.org>  Tue, 23 Oct 2001 02:09:39 +0200
