## vlc 0.4.5a-1

=== debian/changelog ===
vlc (0.4.5a-1) unstable; urgency=low

  * Bug fix and package fix.

 -- Alexis de Lattre <alexis@videolan.org>  Thu, 17 Oct 2002 01:10:41 +0200

vlc (0.4.5-1) unstable; urgency=low

  * New upstream release.

 -- Samuel Hocevar <sam@zoy.org>  Fri, 11 Oct 2002 15:37:41 +0200
