=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,10 @@
 export DH_COMPAT=3
 
 # Compilation options
-export CONFIG_FLAGS="--enable-release --prefix=/usr --enable-gnome --enable-gtk --enable-fb --enable-ggi --enable-sdl --enable-esd --enable-qt --enable-mad --enable-arts --enable-alsa --enable-lirc --enable-a52 --enable-aa --enable-dvbpsi --enable-ffmpeg --with-ffmpeg-tree=ffmpeg-20020707"
+export CONFIG_FLAGS="--enable-release --prefix=/usr --enable-gnome --enable-gtk --enable-fb --enable-ggi --enable-sdl --enable-esd --enable-qt --enable-mad --enable-arts --enable-alsa --enable-lirc --enable-a52 --enable-aa --enable-dvbpsi --enable-ffmpeg --with-ffmpeg-tree=/usr/local/src/ffmpeg-20020707"
+
 # Remove --without-dvdcss here in non-totalitarian countries
-export DVDCSS_FLAGS="--enable-dvd --without-dvdcss"
+export DVDCSS_FLAGS="--enable-dvd"
 
 export VIDDIR="usr/share/videolan"
 export PIXDIR="usr/share/pixmaps"
