## vlc 0.4.5-1

=== Makefile ===
--- 
+++ 
@@ -33,6 +33,7 @@
 		dvd \
 		dvdread \
 		esd \
+		familiar \
 		fb \
 		ffmpeg \
 		filter \
@@ -55,8 +56,10 @@
 		mpeg_vdec \
 		network \
 		ogg \
+		opie \
 		qnx \
 		qt \
+		qte \
 		satellite \
 		sdl \
 		spudec \
@@ -71,6 +74,7 @@
 		ac3_spdif/ac3_spdif \
 		access/file \
 		access/udp \
+		access/rtp \
 		access/http \
 		alsa/alsa \
 		arts/arts \
@@ -94,6 +98,7 @@
 		dvd/dvd \
 		dvdread/dvdread \
 		esd/esd \
+		familiar/familiar \
 		fb/fb \
 		ffmpeg/ffmpeg \
 		filter/filter_deinterlace \
@@ -143,8 +148,10 @@
 		network/ipv4 \
 		network/ipv6 \
 		ogg/vorbis \
+		opie/opie \
 		qnx/qnx \
 		qt/qt \
+		qte/qte \
 		satellite/satellite \
 		sdl/sdl \
 		spudec/spudec \
@@ -380,8 +387,8 @@
 	for file in control changelog rules ; do \
 		cp debian/$$file tmp/vlc/debian/ ; done
 	# Copy ipkg control files
-	for file in control rules patch ; do \
-		cp ipkg/$$file tmp/vlc/ipkg/ ; done
+	for file in ipkg/* ; do \
+		cp $$file tmp/vlc/ipkg/ ; done
 	# Copy fonts and icons
 	for file in share/*vlc* share/*psf; do \
 		cp $$file tmp/vlc/share ; done
@@ -438,6 +445,7 @@
 	# Copy relevant files
 	cp vlc tmp/vlc/
 	strip tmp/vlc/vlc
+	xres -o tmp/vlc/vlc ./share/vlc_beos.rsrc
 	cp AUTHORS COPYING ChangeLog README FAQ TODO tmp/vlc/
 	for file in default8x16.psf default8x9.psf ; \
 		do cp share/$$file tmp/vlc/share/ ; done
@@ -474,9 +482,3 @@
 # Gtk/Gnome/* aliases and OS X application
 #
 gnome-vlc gvlc kvlc qvlc: vlc
-	rm -f $@ && ln -s vlc $@
-
-.PHONY: vlc.app
-vlc.app: vlc plugins
-ifneq (,$(findstring darwin,$(SYS)))
-	rm -Rf vlc.app
