=== plugins/dsp/Makefile ===
dsp_SOURCES = dsp.c aout_dsp.c
