=== debian/control ===
Source: vlc
Section: graphics
Priority: optional
Maintainer: Samuel Hocevar <sam@zoy.org>
Build-Depends: debhelper (>=2.2.0), xlibs-dev, xlibs-pic, libgnome-dev, libggi2-dev, libglide2-dev [i386], libesd0-dev, libsdl1.2-dev (>=1.2.2-3.1), libqt-dev, libasound2-dev (>=0.9.0beta10a), libarts-dev, libmad0-dev, liblircclient-dev, a52dec-dev, aalib1-dev, libdvbpsi1-dev
Standards-Version: 3.5.6

Package: vlc
Architecture: any
Depends: ${shlibs:Depends}
Recommends: vlc-gui
Suggests: vlc-gnome
Description: a free MPEG, DVD and DivX player
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This is vlc, the VideoLAN Client. It plays MPEG and MPEG2 files,
 DVDs, or MPEG streams from a network source.

Package: vlc-gnome
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Provides: vlc-gui
Description: Gnome plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds a Gnome interface to vlc, the VideoLAN Client. To
 activate it, use the `--intf gnome' flag or run the `gnome-vlc' program.

Package: vlc-gtk
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Replaces: vlc-gnome (<= 0.2.63-2)
Conflicts: vlc-gnome (<= 0.2.63-2)
Provides: vlc-gui
Description: Gtk+ plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds a Gtk+ interface to vlc, the VideoLAN Client. To
 activate it, use the `--intf gtk' flag or run the `gvlc' program.

Package: vlc-esd
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: Esound plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds support for the Enlightened Sound Daemon to vlc, the
 VideoLAN Client. To activate it, use the `--aout esd' flag or select
 the `esd' aout plugin from the preferences menu.

Package: vlc-alsa
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: ALSA plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds support for the Advanced Linux Sound Architecture to
 vlc, the VideoLAN Client. To activate it, use the `--aout alsa' flag or
 select the `alsa' aout plugin from the preferences menu.

Package: vlc-sdl
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: SDL plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds support for the Simple DirectMedia Layer library to
 vlc, the VideoLAN Client. To activate it, use the `--vout sdl' or
 `--aout sdl' flags or select the `sdl' vout or aout plugin from the
 preferences menu.

Package: vlc-ggi
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: GGI plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This is a GGI plugin for vlc, the VideoLAN Client.  To activate it, use
 the `--vout ggi' flag or select the `ggi' vout plugin from the preferences
 menu.

Package: vlc-glide
Architecture: i386
Depends: vlc (= ${Source-Version}), libglide2
Description: Glide plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This is a Glide (3dfx) plugin for vlc, the VideoLAN Client. To activate
 it, use the `--vout glide' flag or select the `glide' vout plugin from
 the preferences menu.

Package: vlc-qt
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Provides: vlc-gui
Description: Qt plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds a Qt interface to vlc, the VideoLAN Client. To
 activate it, use the `--intf qt' flag or run the `qvlc' program.

Package: vlc-mad
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: MAD plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds support for libmad, the MPEG audio decoder library,
 to the VideoLAN Client. MAD is 100% fixed-point based. To activate
 this plugin, use the `--mpeg_adec mad' flag or select the `mad' MPEG
 decoder from the preferences menu.

Package: vlc-arts
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: aRts plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin adds support for the aRts Sound System to vlc, the
 VideoLAN Client. To activate it, use the `--aout arts' flag or
 select the `arts' aout plugin from the preferences menu.

Package: vlc-lirc
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: lirc (infrared remote control) plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This plugin is an infrared lirc interface for vlc, the
 VideoLAN Client. To activate it, use the `--intf lirc' flag.

Package: vlc-aa
Architecture: any
Depends: vlc (= ${Source-Version}), ${shlibs:Depends}
Description: ASCII art plugin for vlc
 VideoLAN is a free MPEG, MPEG2, DVD and DivX software solution.
 .
 This is an ASCII art video output plugin for vlc, the VideoLAN
 Client. To activate it, use the `--vout aa' flag or select the `aa'
 vout plugin from the preferences menu.
