## vlc 0.4.6-1

=== plugins/dvd/Makefile ===
dvd_SOURCES = dvd.c dvd_access.c dvd_demux.c dvd_seek.c dvd_es.c dvd_ifo.c dvd_udf.c dvd_summary.c
