=== plugins/satellite/Makefile ===
satellite_SOURCES = satellite.c input_satellite.c satellite_tools.c satellite_tools.h
