=== debian/changelog ===
vlc (0.4.6-1) unstable; urgency=low

  * New upstream release.

 -- Alexis de Lattre <alexis@videolan.org>  Wed, 13 Nov 2002 23:41:00 +0200
