## vlc 0.5.3

=== extras/ffmpeg/libavformat/Makefile ===
--- 
+++ 
@@ -9,10 +9,11 @@
 CFLAGS= $(OPTFLAGS) -Wall -g -I.. -I$(SRC_PATH) -I$(SRC_PATH)/libavcodec -DHAVE_AV_CONFIG_H -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE
 
 OBJS= utils.o cutils.o allformats.o
+PPOBJS=
 
 # mux and demuxes
 OBJS+=mpeg.o mpegts.o ffm.o crc.o img.o raw.o rm.o \
-      avienc.o avidec.o wav.o swf.o au.o gif.o mov.o jpeg.o dv.o \
+      avienc.o avidec.o wav.o swf.o au.o gif.o mov.o mpjpeg.o dv.o \
       yuv4mpeg.o
 
 ifeq ($(CONFIG_RISKY),yes)
@@ -20,7 +21,7 @@
 endif
 
 # image formats
-OBJS+= pnm.o yuv.o
+OBJS+= pnm.o yuv.o png.o jpeg.o gifdec.o
 # file I/O
 OBJS+= avio.o aviobuf.o file.o 
 OBJS+= framehook.o 
@@ -42,12 +43,12 @@
 endif
 
 ifeq ($(CONFIG_AUDIO_BEOS),yes)
-OBJS+= beosaudio.o
+PPOBJS+= beosaudio.o
 endif
 
 ifeq ($(CONFIG_NETWORK),yes)
 OBJS+= udp.o tcp.o http.o rtsp.o rtp.o rtpproto.o
-# BeOS network stuff
+# BeOS and Darwin network stuff
 ifeq ($(NEED_INET_ATON),yes)
 OBJS+= barpainet.o
 endif
@@ -59,18 +60,18 @@
 
 LIB= $(LIBPREF)avformat$(LIBSUF)
 
-SRCS := $(OBJS:.o=.c)
+SRCS := $(OBJS:.o=.c) $(PPOBJS:.o=.cpp)
 
 all: $(LIB)
 
-$(LIB): .depend $(OBJS)
+$(LIB): $(OBJS) $(PPOBJS)
 	rm -f $@
-	$(AR) rc $@ $(OBJS)
+	$(AR) rc $@ $(OBJS) $(PPOBJS)
 ifneq ($(CONFIG_OS2),yes)
 	$(RANLIB) $@
 endif
 
-.depend: $(SRCS)
+depend: $(SRCS)
 	$(CC) -MM $(CFLAGS) $^ 1>.depend
 
 installlib: all
